Bug 1767868 - CVE-2019-15144 djvulibre: recursive call to GArrayTemplate<Run>::sort in GContainer.h leads to stack overflow [fedora-all]
Summary: CVE-2019-15144 djvulibre: recursive call to GArrayTemplate<Run>::sort in GCon...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: djvulibre
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-15144
TreeView+ depends on / blocked
 
Reported: 2019-11-01 14:53 UTC by Guilherme de Almeida Suckevicz
Modified: 2019-11-25 00:46 UTC (History)
1 user (show)

Fixed In Version: djvulibre-3.5.27-15.fc31 djvulibre-3.5.27-14.fc30 djvulibre-3.5.27-13.fc29 djvulibre-3.5.27-16.fc31 djvulibre-3.5.27-15.fc30 djvulibre-3.5.27-14.fc29 djvulibre-3.5.25.3-18.el7 djvulibre-3.5.25.3-18.el6
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-17 01:30:56 UTC
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2019-11-01 14:53:19 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2019-11-01 14:53:20 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1767867,1767868

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2019-11-08 09:30:22 UTC
FEDORA-2019-7ca378f076 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7ca378f076

Comment 3 Fedora Update System 2019-11-08 09:30:44 UTC
FEDORA-EPEL-2019-540c6a4e1d has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-540c6a4e1d

Comment 4 Fedora Update System 2019-11-08 09:31:05 UTC
FEDORA-2019-67ff247aea has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-67ff247aea

Comment 5 Fedora Update System 2019-11-08 09:31:27 UTC
FEDORA-EPEL-2019-800a69997a has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-800a69997a

Comment 6 Fedora Update System 2019-11-08 09:31:47 UTC
FEDORA-2019-b217f90c2a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b217f90c2a

Comment 7 Fedora Update System 2019-11-09 23:20:59 UTC
djvulibre-3.5.27-16.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-67ff247aea

Comment 8 Fedora Update System 2019-11-10 00:39:52 UTC
djvulibre-3.5.27-15.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b217f90c2a

Comment 9 Fedora Update System 2019-11-10 01:15:09 UTC
djvulibre-3.5.25.3-18.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-800a69997a

Comment 10 Fedora Update System 2019-11-10 01:17:01 UTC
djvulibre-3.5.25.3-18.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-540c6a4e1d

Comment 11 Fedora Update System 2019-11-10 04:35:54 UTC
djvulibre-3.5.27-14.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7ca378f076

Comment 12 Fedora Update System 2019-11-17 01:30:56 UTC
djvulibre-3.5.27-16.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-11-18 01:18:09 UTC
djvulibre-3.5.27-15.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-11-18 01:52:07 UTC
djvulibre-3.5.27-14.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-11-25 00:41:16 UTC
djvulibre-3.5.25.3-18.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-11-25 00:46:19 UTC
djvulibre-3.5.25.3-18.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.